Skip to main content
POST
/
merchant
/
session
/
user_sub_update_url
Get User Subscription Update Page Url
curl --request POST \
  --url https://api.unibee.dev/merchant/session/user_sub_update_url \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "cancelUrl": "<string>",
  "email": "<string>",
  "externalUserId": "<string>",
  "planId": 123,
  "productId": 123,
  "returnUrl": "<string>",
  "userId": 123,
  "vatCountryCode": "<string>"
}
'
{
  "code": 123,
  "data": {
    "url": "<string>"
  },
  "merchantId": 123,
  "message": "<string>",
  "redirect": "<string>",
  "requestId": "<string>"
}

Endpoint Overview

POST https://api.unibee.dev/merchant/session/user_sub_update_url Get User Subscription Update Page Url

Authorization

All UniBee Merchant API requests require authentication via API key.
HeaderRequiredDescription
AuthorizationYesBearer <your_api_key>
Content-TypeYesapplication/json (for request body)

Parameters

Parameters for this endpoint are listed below. The schema is also shown in the Try it panel.

Request body

NameTypeRequiredDescription
cancelUrlstringNoCancelUrl
emailstringNoEmail, unique, either ExternalUserId&Email or UserId needed
externalUserIdstringNoExternalUserId, unique, either ExternalUserId&Email or UserId needed
planIdintegerNoId of plan to update
productIdintegerNoId of product,default product will use if productId not specified
returnUrlstringNoReturnUrl
userIdintegerNoUserId, unique, either ExternalUserId&Email or UserId needed
vatCountryCodestringNoVat Country Code

Request examples

cURL

curl -X POST "https://api.unibee.dev/merchant/session/user_sub_update_url" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "cancelUrl": "https://example.com",
  "email": "user@example.com",
  "externalUserId": "id_example",
  "planId": 0,
  "productId": 0,
  "returnUrl": "https://example.com",
  "userId": 0,
  "vatCountryCode": ""
}'

Sandbox

curl -X POST "https://api-sandbox.unibee.top/merchant/session/user_sub_update_url" \
  -H "Authorization: Bearer YOUR_SANDBOX_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "cancelUrl": "https://example.com",
  "email": "user@example.com",
  "externalUserId": "id_example",
  "planId": 0,
  "productId": 0,
  "returnUrl": "https://example.com",
  "userId": 0,
  "vatCountryCode": ""
}'

Response

Success responses return a JSON envelope with code, data, message, redirect, and requestId. code 0 indicates success.
FieldTypeDescription
codeintegerResponse code. 0 = success
dataobjectResponse payload
data.urlstringUrl
messagestringHuman-readable message
requestIdstringRequest ID for support

Error handling

HTTP statusMeaning
400Bad request — invalid or missing parameters. Check message in the body.
401Unauthorized — missing or invalid API key.
404Not found — invalid path or resource.
500Server error — retry with backoff.
When code in the response body is non-zero, check message for details. Use requestId when contacting support.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
cancelUrl
string<string>

CancelUrl

email
string<string>

Email, unique, either ExternalUserId&Email or UserId needed

externalUserId
string<string>

ExternalUserId, unique, either ExternalUserId&Email or UserId needed

planId
integer<int64>

Id of plan to update

productId
integer<int64>

Id of product,default product will use if productId not specified

returnUrl
string<string>

ReturnUrl

userId
integer<int64>

UserId, unique, either ExternalUserId&Email or UserId needed

vatCountryCode
string<string>

Vat Country Code

Response

200 - application/json
code
integer<int>
data
object
merchantId
integer<int64>
message
string<string>
redirect
string<string>
requestId
string<string>